#include "testlib.h"
#include <vector>
#include <string.h>

using namespace std;

int n,m;

vector<pair<int,int>> readAns(InStream& stream){
	int cnt = stream.readInt(1,n*m,"number of positions");
	vector<pair<int,int>> ans;
	for(int i = 0; i < cnt; i++){
		int x = stream.readInt(1,n,"x");
		int y = stream.readInt(1,m,"y");
		ans.push_back(make_pair(x,y));
	}
	return ans;
}

int main(int argc,char* argv[]){
	registerTestlibCmd(argc,argv);
	
	n = inf.readInt();
	m = inf.readInt();

	vector<pair<int,int>> jans = readAns(ans);
	vector<pair<int,int>> pans = readAns(ouf);

	set<pair<int,int>> jset(jans.begin(),jans.end());
	set<pair<int,int>> pset(pans.begin(),pans.end());

	if(jset != pset)
		quitf(_wa,"Wrong answer");
	else
		quitf(_ok,"Correct");

	return 0;
}